## libgsm 1.0.13

=== debian/changelog ===
libgsm (1.0.13-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:32:07 +0000

libgsm (1.0.13-4) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Note: patch 04 was updated with "quilt refresh" to make
    it apply cleanly. (Closes: #664389)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Jochen Friedrich ]
  * Convert lib to multiarch.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 12 Apr 2012 17:34:56 +0200

libgsm (1.0.13-3) unstable; urgency=low

  * Fix cut and paste error in long description (Closes: #544896)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 19 Oct 2009 16:25:39 +0200

libgsm (1.0.13-2) unstable; urgency=low

  * Fix long descriptions (Closes: #544896)
  * Fix lintain warnings:
   o Add README.source pointing to dpatch documentation
   o Add patch to fix man pages

 -- Jochen Friedrich <jochen@scram.de>  Tue, 13 Oct 2009 19:18:45 +0200

libgsm (1.0.13-1) unstable; urgency=low

  * New upstream version
   o clarify license (Closes: #397047)
  * Enable fixed-point on armel too. Thanks to Martin Guy 
    <martinwguy@gmail.com> for the patch (Closes: #540522)
  * Bumped policy version to 3.8.3
  * Add cross-building support. Thanks to Neil Williams <codehelp@debian.org>
    for the patch (Closes: #465222)
  * Add debug package
  * Change watch file to new location (Closes: #449626)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 18 Aug 2009 17:57:31 +0200

libgsm (1.0.12-1) unstable; urgency=low

  * New upstream release
   o change in the WAV#49 portion of gsm_implode.c

 -- Jochen Friedrich <jochen@scram.de>  Mon, 12 Nov 2007 19:11:43 +0100

libgsm (1.0.10-14) unstable; urgency=low

  * Change build system to debhelper and dpatch (Closes: #437371)
  * Bumped policy version to 3.7.2
  * Rename config.h to gsm_config.h (Closes: #428989)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 02 Nov 2007 17:12:06 +0100

libgsm (1.0.10-13) unstable; urgency=low

  * Fixed desciption synopsis
  * Removed /usr/doc link from postinst and prerm
  * Changed shlibs[.local] to not include the Debian revision
  * Added watch file
  * Added own doc directory for libgsm-tools

 -- Jochen Friedrich <jochen@scram.de>  Sat, 31 Jul 2004 10:08:59 +0200

libgsm (1.0.10-12) unstable; urgency=low

  * New maintainer (Closes: #227785)
  * Bumped policy version to 3.6.1 (no changes)
  * Ack NMUs from Marcin Owsiany <porridge@debian.org>
    (Closes: #148765, #99540, #166400, #178147, #171770)
  * Cleaned up compiler warnings on 64 bit platforms (Closes: #226561)
  * Changed errno handling again to avoid breaking on multithreaded
    applications. Hurd should also be happy now (Closes: #164191, #164194)
  * Add C++ guard to gsm.h (Closes: #202712)
    Thanks to Anand Kumria <wildfire@progsoc.org> for the patch.
  * Renamed libgsm-bin to libgsm-utils and moved to sound as suggested
    by Santiago Garcia Mantinan <manty@debian.org> (Closes: #109741)

 -- Jochen Friedrich <jochen@scram.de>  Sun, 25 Jan 2004 09:44:07 +0100

libgsm (1.0.10-11.2) unstable; urgency=low

  * Install both gsm.h in /usr/include/ to retain upstream compatibility AND
    all the other header files in /usr/include/gsm/ in case some program uses
    them. Thanks to Alex Romosan for pointing such program out. Closes: #178147

 -- Marcin Owsiany <porridge@debian.org>  Mon, 27 Jan 2003 17:45:41 +0100

libgsm (1.0.10-11.1) unstable; urgency=low

  * Install only the required gsm.h header in /usr/include/ instead of bunch
    of files in /usr/include/gsm/ (libgsm1-dev). Closes: #166400.
  * Install needed symlinks to section 3 manpages. Closes: #99540.
  * Don't define USE_FLOAT_MUL on arm. Closes: #148765.

 -- Marcin Owsiany <porridge@debian.org>  Thu,  7 Nov 2002 22:01:29 +0100

libgsm (1.0.10-11) unstable; urgency=low

  * Compile it with -DWAV49. Closes: #102387.
  * Cleaning here and there to make lintian happy.
  * Fixed some bashisms on debian/rules.
  * Removed some redundant files from the doc directory.
  * NMU to remove the dust that covered it.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 22 Aug 2001 15:10:43 +0200

libgsm (1.0.10-10) unstable; urgency=low

  * Update copyright information.
  * Update to Standards Version 3.0.1.
  * Add mime type for gsm audio. (Closes: #36861)

 -- Martin Mitchell <martin@debian.org>  Sun, 29 Aug 1999 00:00:58 +1000

libgsm (1.0.10-9) unstable; urgency=low

  * Ignore errors on chown in makefile to fix powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Sun, 13 Sep 1998 03:28:19 +1000

libgsm (1.0.10-8) unstable; urgency=low

  * Add -f flag to chown in rules file to work around chown symlink problem.

 -- Martin Mitchell <martin@debian.org>  Sun, 13 Sep 1998 02:53:01 +1000

libgsm (1.0.10-7) unstable; urgency=low

  * Change section from devel to libs.
  * Call ldconfig in postinst.
  * Source changes for powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Wed,  9 Sep 1998 03:47:16 +1000

libgsm (1.0.10-6) frozen unstable; urgency=high

  * Fix package overlap between bo and hamm version of this library. (#22454)
  * Update to Standards Version 2.4.1.

 -- Martin Mitchell <martin@debian.org>  Wed, 20 May 1998 06:02:22 +1000

libgsm (1.0.10-5) unstable; urgency=low

  * Rename doc directory to libgsm1, fixing 'no copyright' bug. (#19356)
  * Add symlinks for doc directories for dev and bin packages.
  * Fix symlink to shlib to be after the shlib in the package.

 -- Martin Mitchell <martin@debian.org>  Fri, 13 Mar 1998 00:17:43 +1100

libgsm (1.0.10-4) unstable; urgency=low

  * Add libgsm1 package dependencies. fixes: (#15374)

 -- Martin Mitchell <martin@debian.org>  Sat, 29 Nov 1997 03:13:07 +1100

libgsm (1.0.10-3) unstable; urgency=low

  * New maintainer.
  * Libc6 release.
  * Renamed -dev package to include library version.


