=== debian/control ===
Source: libgsm
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9)

Package: libgsm1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgsm-dev
Multi-Arch: same
Description: Shared libraries for GSM speech compressor
 This package contains runtime shared libraries for libgsm, an
 implementation of the European GSM 06.10 provisional standard for
 full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
 (residual pulse excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgsm1 (= ${binary:Version}), ${misc:Depends}
Description: Shared libraries for GSM speech compressor (debug symbols)
 This package contains debug symbols for libgsm, an implementation
 of the European GSM 06.10 provisional standard for full-rate speech
 transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
 excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm1-dev
Section: libdevel
Architecture: any
Depends: libgsm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgsm1 (<= 1.0.10-2), libgsm-dev
Replaces: libgsm-dev
Multi-Arch: same
Description: Development libraries for a GSM speech compressor
 This package contains header files and development libraries for
 libgsm, an implementation of the European GSM 06.10 provisional
 standard for full-rate speech transcoding, prI-ETS 300 036, which
 uses RPE/LTP (residual pulse excitation/long term prediction) coding
 at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm-tools
Replaces: libgsm-bin
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User binaries for a GSM speech compressor
 This package contains user binaries for libgsm, an implementation of
 the European GSM 06.10 provisional standard for full-rate speech
 transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
 excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.
