=== debian/changelog ===
libgsm (1.0.18-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "unhandled symlink to directory conversion:
    /usr/share/doc/PACKAGE":
    add libgsm1-dev.maintscript for the symlink_to_dir transition.
    (Closes: #919438)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 31 Mar 2019 19:13:42 -0700

libgsm (1.0.18-1) unstable; urgency=medium

  * New upstream version
  * New maintainer (Closes: #891760)
  * Only ship gsm.h, but with an extra link (Closes: #882176)
  * Migrated rules to dh(1)
  * Dropped 03_config.patch as suggested in #882176
  * Updated patches (most of 05 was accepted upstream)
  * Bumped shared object version in 01 patch
  * Made copyright file dep5 machine readable
  * Added README.Debian about (non-)patent status
  * Updated upstream URL in watch file
  * Turned on migration to automatic debug packages
  * Removed old debug package from control
  * Removed libgsm1-dbg.install
  * Added homepage field to control
  * Removed trailing whitespace from changelog
  * Removed trailing whitespace from control
  * Removed ancient Conflicts: from control
  * Corrected two misspellings in man via 06 patch
  * Removed duplicate binary control field for section
  * Set Build-Depends: debhelper (>= 11)
  * Set compat to 12
  * Updated Standards-Version: 4.3.0

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 31 Dec 2018 15:28:12 -0800
