=== debian/rules ===
#! /usr/bin/make -f

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif

ifneq (,$(filter arm%,$(DEB_HOST_ARCH)))
MULTYPE=''
else
MULTYPE='-DUSE_FLOAT_MUL'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now

CCFLAGS = -c $(CPPFLAGS) $(CFLAGS) -fPIC -Wall -D_GNU_SOURCE -D_REENTRANT -DNeedFunctionPrototypes=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(CROSS) "CCFLAGS=$(CCFLAGS)" "LDFLAGS=$(LDFLAGS)" MULHACK=$(MULTYPE) all

override_dh_install:
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/bin debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH) debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) $(CROSS) "LDFLAGS=$(LDFLAGS)" INSTALL_ROOT=debian/tmp/usr GSM_INSTALL_INC=debian/libgsm1-dev/usr/include/gsm GSM_INSTALL_MAN=debian/libgsm1-dev/usr/share/man/man3 TOAST_INSTALL_MAN=debian/libgsm-tools/usr/share/man/man1 install
	mv lib/*so debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/*a debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/*so.* debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install

override_dh_strip:
	dh_strip --dbgsym-migration='libgsm1-dbg (<< 1.0.18-1~)'

override_dh_auto_clean:
	$(MAKE) clean
	rm -f lib/*
	dh_clean
