=== debian/watch ===
version=3
http://www.quut.com/gsm/ gsm-([\d+\.]*\d+).tar.gz
