=== debian/changelog ===
libgsm (1.0.19-1) unstable; urgency=medium

  * New upstream release. Thanks to Florian Ernst for the notification!
    (Closes: #1004544)
  * Drop debian/patches/02_cplusplus.patch, which also provided the sole new
    feature in this release. Both added a C++ guard to gsm.h. (See: #202712)
  * Bump patchlevel to 19 in d/patches/01_makefile.patch.
  * Refresh remaining patches.
  * Mark remaining patches as having been forwarded to upstream.
  * Do not run 'make install'; install from build location instead.
  * Drop quotes from placeholder in mailcap entry.
  * Complete debug symbol migration for libgsm1-dbg (<< 1.0.18-1~).
  * Bump Debhelper level to 13.
  * Use debbhelper-compat instead of d/compat.
  * Add "Rules-Requires-Root: no" in d/control.
  * Bump Standards-Version to 4.6.0.
  * Bump d/watch file standard to 4.
  * Provide a d/upstream/metadata file with basic information.
  * Update Debian copyright.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 31 Jan 2022 10:02:12 -0800
