=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13)
 Homepage: http://www.quut.com/gsm/
 
 Package: libgsm1
