## libgsm 1.0.22

=== debian/changelog ===
libgsm (1.0.22-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Sep 2022 23:54:15 +0200

libgsm (1.0.19-3) unstable; urgency=medium

  * adopt package (Closes: #1009975)
  * debian/control: move maintenance to the mobcom team
  * debian/control: bump Standards-Version to 4.6.1
  * debian/control: use VCS URLs from the mobcom team
  * Thanks to Marriott NZ <marriott99@gmx.com> for the report about the
    quotes in the mailcap entry. This was already fixed in 1.0.19-1.
    (Closes: #987404)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Jul 2022 22:03:02 +0200

libgsm (1.0.19-2) unstable; urgency=medium

  * Orphan.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Apr 2022 08:09:00 -0700
