=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: libgsm
 Section: libs
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
-Standards-Version: 4.6.0
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13)
 Homepage: http://www.quut.com/gsm/
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libgsm
+Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libgsm.git
 
 Package: libgsm1
 Architecture: any
