=== debian/changelog ===
libgsm (1.0.23-2) unstable; urgency=medium

  * silly me forgot quotes (really Closes: #1116696)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Nov 2025 18:55:21 +0100

libgsm (1.0.23-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release.
  * debian/control: bump Standards-Version to 4.7.2 (no changes)
  * debian/rules: Fix FTCBFS: Include -ansi in overridden CC.
                  (Thanks to Helmut Grohne for the patch)
                  (Closes: #1116696)
  * removed patch 05_compiler_warnings.patch as it was applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Nov 2025 23:55:21 +0100
