=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13)
-Homepage: http://www.quut.com/gsm/
+Homepage: https://www.quut.com/gsm/
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libgsm
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libgsm.git
