=== debian/watch ===
version=4
http://www.quut.com/gsm/ gsm-([\d+\.]*\d+).tar.gz debian uupdate
